
VCC = 5; 
VEE = 0; //GND

U_OH = 3.764; //Максимальна напруга на виході (на 1-2 В менше VCC)
U_OL = 0.316; //Мінімальна напруга на виході (на 0.3-1 В більше VEE)

U_in = 3; // Необхідна напруга спрацювання
D_U =0.3; // Гістерзис
I_dil = 0.005; // Струм делителя напряжения
D_OU = 0.1; // Швидкість перемикання ОП

R_dil = VCC/I_dil; 
R2 = U_in*R_dil/VCC
P_R2 = I_dil^2 * R2
R1 = R_dil-R2
P_R2 = I_dil^2*R1

R3 = 39000;
R4 = (U_OH+U_OL-D_U)*R3/D_U

// DataSheet 
VinH=R3*(U_OH-U_in)/(R3+R4)+U_in
VinL=R3*(U_OL-U_in)/(R3+R4)+U_in

// http://cxem.net/beginner/beginner129.php - Повна версія статті звідки взятий дана методика
V_inH1=R3*(U_OH)/(R3+R4) + R4*(U_in)/(R3+R4) + D_OU
V_inL=R3*(U_OL)/(R3+R4) + R4*(U_in)/(R3+R4) - D_OU

